Get all schedule
get
/fscmRestApi/resources/11.13.18.05/purchasingDocumentChanges/{VersionId}/child/schedules
Request
Path Parameters
-
VersionId(required): integer
The value of this parameter could be a hash of the key that is used to uniquely identify the resource item. The client should not generate the hash key value. Instead, the client should query on the collection resource with a filter to navigate to a specific resource item. For example: products?q=InventoryItemId=
Query Parameters
-
dependency: string
This parameter specifies dependencies which are fields that are set before and rolled back after generating the response. Generally they are used to preview the effects of an attribute change. The fields specified in this parameter are always set in the resource instance in question. When a child resource collection is requested and the parameter is set, the fields will be set in the parent resource instance before generating the resource collection payload. The value of this query parameter is a set of dependency fields. Example: dependency=ProductId=2
Format: <attr1>=<val1>,<attr2>=<value2> -
expand: string
When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
-
fields: string
This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.
Format: ?fields=Attribute1,Attribute2
Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2 -
finder: string
Used as a predefined finder to search the collection.
Format ?finder=<finderName>;<variableName>=<variableValue>,<variableName2>=<variableValue2>
The following are the available finder names and corresponding finder variables- PrimaryKey Finds purchase orders schedule changes according to the purchasing document changes schedule identifier as the primary key.
Finder Variables- VersionId; integer; Value that uniquely identifies the purchase order schedule changes. This is a primary key of the purchasing document schedule changes view object.
- PrimaryKey Finds purchase orders schedule changes according to the purchasing document changes schedule identifier as the primary key.
-
limit: integer
This parameter restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resources.
-
links: string
This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>
Example:
self,canonical -
offset: integer
Used to define the starting position of the resource collection. If offset exceeds the resource count then no resources are returned. Default value is 0.
-
onlyData: boolean
The resource item payload will be filtered in order to contain only data (no links section, for example).
-
orderBy: string
This parameter orders a resource collection based on the specified fields. The parameter value is a comma-separated string of attribute names, each optionally followed by a colon and "asc" or "desc". Specify "asc" for ascending and "desc" for descending. The default value is "asc". For example, ?orderBy=field1:asc,field2:desc
-
q: string
This query parameter defines the where clause. The resource collection will be queried using the provided expressions. The value of this query parameter is one or more expressions. Example: ?q=Deptno>=10 and <= 30;Loc!=NY
Format: ?q=expression1;expression2
You can use these queryable attributes to filter this collection resource using the q query parameter:- ActionPerformed; string; Status for the action taken on the schedules of the purchase order.
- AmountChanged; string; Value of the amount change requested on a change order for an order.
- ChangeReason; string; Description for changing the document schedule.
- ChangeStatus; string; Indicates what state the schedule in a pending change order is in relating to the entire change order lifecycle.
- CurrencyCode; string; Abbreviation that identifies the currency of the purchase order.
- Description; string; Description for the line item referenced to the schedule.
- LineLocationId; integer; Value that uniquely identifies the purchase order schedule.
- LineNumber; string; Value that uniquely identifies purchase order line referenced to schedule.
- OldDescription; string; Description for previous line item referenced to the schedule.
- OldLineNumber; string; Value that uniquely identifies the previous purchase order line.
- OldPaymentType; string; Indicates the previous type of payment, whether it's based on units of work or a lump sum.
- OldPromisedDeliveryDate; string; Date when the supplier initially promises to deliver the item to the buyer.
- OldPromisedShipDate; string; Date when the supplier initially promised to ship the item to the buyer.
- OldRequestedDeliveryDate; string; Date when the buyer initially requested that the supplier deliver the item.
- OldRequestedShipDate; string; Date when the buyer initially requested the supplier to ship the item.
- OldShipLocation; string; Name of the previous location where the supplier wanted to ship the item.
- OldShipmentNumber; string; Value that uniquely identifies the previous purchase order schedule referenced to distribution.
- PaymentType; string; Indicates the type of payment, whether it's based on units of work or a lump sum.
- PromisedDeliveryDate; string; Date when the supplier promises to deliver the item to the buyer.
- PromisedShipDate; string; Date when the supplier promises to ship the item to the buyer.
- RequestedDeliveryDate; string; Date when the buyer requested that the supplier deliver the item.
- RequestedShipDate; string; Date when the buyer requested that the supplier ship the item.
- ShipToLocation; string; Name of the location where the supplier ships the item.
- ShipmentNumber; string; Value that uniquely identifies the purchase order schedule referenced to distribution.
- VersionId; integer; Value that uniquely identifies the purchase order schedule changes. This is a primary key of the purchasing document schedule changes view object.
-
totalResults: boolean
The resource collection representation will include the "estimated row count" when "?totalResults=true", otherwise the count is not included. The default value is "false".
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : purchasingDocumentChanges-schedules
Type:
Show Source
object-
count(required): integer
The number of resource instances returned in the current range.
-
hasMore(required): boolean
Indicates whether more resources are available on the server than the subset returned in the response. If the value is true, then there are more resources to retrieve from the server. The default value is false.
-
items: array
Items
Title:
ItemsThe items in the collection. -
limit(required): integer
The actual paging size used by the server.
-
links(required): array
Links
Title:
LinksThe link relations associated with the resource instance. -
offset(required): integer
The offset value used in the current page.
-
totalResults: integer
The estimated row count when "?totalResults=true", otherwise the count is not included.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : purchasingDocumentChanges-schedules-item-response
Type:
Show Source
object-
ActionPerformed: string
Title:
Action PerformedMaximum Length:255Status for the action taken on the schedules of the purchase order. -
AmountChanged: string
Title:
Amount ChangedMaximum Length:255Value of the amount change requested on a change order for an order. -
ChangeReason: string
Title:
Change ReasonMaximum Length:255Description for changing the document schedule. -
ChangeStatus: string
Title:
Change StatusMaximum Length:255Indicates what state the schedule in a pending change order is in relating to the entire change order lifecycle. -
CurrencyCode: string
Maximum Length:
255Abbreviation that identifies the currency of the purchase order. -
Description: string
Title:
DescriptionMaximum Length:255Description for the line item referenced to the schedule. -
LineLocationId: integer
Value that uniquely identifies the purchase order schedule.
-
LineNumber: string
Title:
LineMaximum Length:255Value that uniquely identifies purchase order line referenced to schedule. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
OldDescription: string
Maximum Length:
255Description for previous line item referenced to the schedule. -
OldLineNumber: string
Maximum Length:
255Value that uniquely identifies the previous purchase order line. -
OldPaymentType: string
Title:
Changed FromMaximum Length:255Indicates the previous type of payment, whether it's based on units of work or a lump sum. -
OldPromisedDeliveryDate: string
(date)
Title:
Original Promised Delivery DateDate when the supplier initially promises to deliver the item to the buyer. -
OldPromisedShipDate: string
(date)
Date when the supplier initially promised to ship the item to the buyer.
-
OldRequestedDeliveryDate: string
(date)
Date when the buyer initially requested that the supplier deliver the item.
-
OldRequestedShipDate: string
(date)
Date when the buyer initially requested the supplier to ship the item.
-
OldShipLocation: string
Maximum Length:
255Name of the previous location where the supplier wanted to ship the item. -
OldShipmentNumber: string
Maximum Length:
255Value that uniquely identifies the previous purchase order schedule referenced to distribution. -
PaymentType: string
Maximum Length:
255Indicates the type of payment, whether it's based on units of work or a lump sum. -
PromisedDeliveryDate: string
(date)
Title:
Promised Delivery DateDate when the supplier promises to deliver the item to the buyer. -
PromisedShipDate: string
(date)
Title:
Promised Ship DateDate when the supplier promises to ship the item to the buyer. -
RequestedDeliveryDate: string
Title:
Requested Delivery DateMaximum Length:255Date when the buyer requested that the supplier deliver the item. -
RequestedShipDate: string
(date)
Title:
Requested Ship DateDate when the buyer requested that the supplier ship the item. -
ShipmentNumber: string
Title:
ShipmentMaximum Length:255Value that uniquely identifies the purchase order schedule referenced to distribution. -
ShipToLocation: string
Title:
Ship-to LocationMaximum Length:255Name of the location where the supplier ships the item. -
VersionId: integer
Title:
Version IDValue that uniquely identifies the purchase order schedule changes. This is a primary key of the purchasing document schedule changes view object.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.